{

	"AbilityName": "Ben_Branch",

	"AbilityStacking": "Unique",

	"AbilityMixins": [

		{

			//防御架构循环段计数

			"$type": "MoleMole.ActwithStateFrameMixin",

			"ConfigList": 

			[

				{

					"AnimatorStateName": "Attack_Branch_01_Loop_01",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_01_Loop_02",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Loop_01",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Loop_02",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Loop_03",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Loop_04",

					"LayerIndex": 0,

					"Frame": 0,

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": true,

					"ActionList": 

					[

	

						{

							"$type" : "MoleMole.ApplyModifier",

							"ModifierName" : "BranchLoopModifier",

							"Target" : "Self"

						}

					]

				}

			]

		},

		//状态机管理

		{

            "$type": "MoleMole.ActionsOnPropertyChangeMixin",

            "PropertyActions":

            [

                {

                    "PropertyType": "Custom",

                    "CustomPropertyType": "LoopTimes",

                    "IsUsePercentage": false,

                    "ValueRangeActions":

                    [

                        {

                            "Val": 2,

                            "LowToValueActions": 

                            [

                                {

                                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                                    "ParamType" : 2,

                                    "ParamName" : "Bool_TimeupSp",

                                    "Target" : "Self",

                                    "BoolVal" : true

                                }

                            ]

                        },

                        {

                            "Val": 2,

                            "ValueToLowActions":

                            [

                                {

                                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                                    "ParamType" : 2,

                                    "ParamName" : "Bool_TimeupSp",

                                    "Target" : "Self",

                                    "BoolVal" : false

                                }

                            ]

                        },

						{

                            "Val": 4,

                            "LowToValueActions": 

                            [

                                {

                                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                                    "ParamType" : 2,

                                    "ParamName" : "Bool_TimeupExSp",

                                    "Target" : "Self",

                                    "BoolVal" : true

                                }

                            ]

                        },

                        {

                            "Val": 4,

                            "ValueToLowActions":

                            [

                                {

                                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                                    "ParamType" : 2,

                                    "ParamName" : "Bool_TimeupExSp",

                                    "Target" : "Self",

                                    "BoolVal" : false

                                }

                            ]

                        }

                    ]

                }

            ] 

        }

	],



	"Modifiers" : 

    {

        "BranchLoopModifier" : 

        {

            "ModifierStacking": "Replace",

            "Duration" : -1,

            "IgnoreTimeScale" : false,

            "OnAdded":

            [

				{

                    "$type": "MoleMole.ModifyProperty",

                    "Target":"Self",

                    "PropertyType": "Custom",

                    "CustomPropertyType": "LoopTimes",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": 1

                }

            ]

        }

    }

}